Organizations
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
PATCH | |
DELETE | |
GET | |
GET | |
GET | |
GET | |
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
GET | |
GET | |
GET | |
GET | |
GET | |
GET |
Update members
Required API key scopes
organization_member:writePath parameters
- user__uuidstring
Request parameters
- level
Response
Example request
PATCH /api /organizations /:organization_id /members /:user__uuidExample response
Status 200
Delete members
Required API key scopes
organization_member:writePath parameters
- user__uuidstring
Example request
DELETE /api /organizations /:organization_id /members /:user__uuidExample response
Status 204 No response body
Retrieve members github login
Required API key scopes
organization_member:readPath parameters
- user__uuidstring
Response
Example request
GET /api /organizations /:organization_id /members /:user__uuid /github_loginExample response
Status 200
Retrieve members scoped api keys
Path parameters
- user__uuidstring
Response
Example request
GET /api /organizations /:organization_id /members /:user__uuid /scoped_api_keysExample response
Status 200
Retrieve members project access
Every visible member's access to every project the caller can reach, with the rule behind it.
Required API key scopes
organization_member:readQuery parameters
- member_idstring
Response
Example request
GET /api /organizations /:organization_id /members /project_accessExample response
Status 200
List all oauth applications
ViewSet for listing OAuth applications at the organization level (read-only).
Required API key scopes
organization:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /organizations /:organization_id /oauth_applicationsExample response
Status 200
List all organizations projects
Projects for the current organization.
Required API key scopes
project:readQuery parameters
- limitinteger
- offsetinteger
- searchstring
- tagsstring
- tags_matchstringOne of:
"all""any"
Response
Example request
GET /api /organizations /:organization_id /projectsExample response
Status 200
Create organizations projects
Projects for the current organization.
Required API key scopes
project:writeRequest parameters
- namestring
- product_descriptionstring | null
- tagsarray
- app_urlsarray
- anonymize_ipsboolean
- completed_snippet_onboardingboolean
- test_account_filters
- test_account_filters_default_checkedboolean | null
- path_cleaning_filters
- is_demoboolean
- timezone
- data_attributes
- person_display_name_propertiesarray | null
- autocapture_opt_outboolean | null
- autocapture_exceptions_opt_inboolean | null
- autocapture_web_vitals_opt_inboolean | null
- autocapture_web_vitals_allowed_metrics
- autocapture_exceptions_errors_to_ignore
- capture_console_log_opt_inboolean | null
- capture_performance_opt_inboolean | null
- session_recording_opt_inboolean
- session_recording_sample_ratestring | null
- session_recording_minimum_duration_millisecondsinteger | null
- session_recording_linked_flag
- session_recording_network_payload_capture_config
- session_recording_masking_config
- session_recording_url_trigger_configarray | null
- session_recording_url_blocklist_configarray | null
- session_recording_event_trigger_configarray | null
- session_recording_trigger_match_type_configstring | null
- session_recording_trigger_groups
- session_recording_retention_period
- session_replay_config
- survey_config
- access_controlboolean
- week_start_day
- primary_dashboardinteger | null
- live_events_columnsarray | null
- recording_domainsarray | null
- inject_web_appsboolean | null
- extra_settings
- modifiers
- has_completed_onboarding_for
- surveys_opt_inboolean | null
- heatmaps_opt_inboolean | null
- flags_persistence_defaultboolean | null
- receive_org_level_activity_logsboolean | null
- business_model
- conversations_enabledboolean | null
- conversations_settingsobject | null
- logs_settings
- proactive_tasks_enabledboolean | null
- revenue_analytics_config
- marketing_analytics_config
- customer_analytics_config
- workflows_config
- feature_flag_policy_config
- base_currency
- capture_dead_clicksboolean | null
- cookieless_server_hash_mode
- human_friendly_comparison_periodsboolean | null
- feature_flag_confirmation_enabledboolean | null
- feature_flag_confirmation_messagestring | null
- default_evaluation_contexts_enabledboolean | null
- require_evaluation_contextsboolean | null
- default_data_themeinteger | null
- onboarding_tasks
- web_analytics_pre_aggregated_tables_enabledboolean | null
Response
Example request
POST /api /organizations /:organization_id /projectsExample response
Status 201
Retrieve organizations projects
Retrieve a project and its settings.
Required API key scopes
project:readPath parameters
- idinteger
Response
Example request
GET /api /organizations /:organization_id /projects /:idExample response
Status 200
Update organizations projects
Update one or more of a project's settings. Only the fields included in the request body are changed.
Required API key scopes
project:writePath parameters
- idinteger
Request parameters
- namestring
- logo_media_idstring | null
- product_descriptionstring | null
- tagsarray
- app_urlsarray
- anonymize_ipsboolean
- completed_snippet_onboardingboolean
- test_account_filters
- test_account_filters_default_checkedboolean | null
- path_cleaning_filters
- is_demoboolean
- timezone
- data_attributes
- person_display_name_propertiesarray | null
- autocapture_opt_outboolean | null
- autocapture_exceptions_opt_inboolean | null
- autocapture_web_vitals_opt_inboolean | null
- autocapture_web_vitals_allowed_metrics
- autocapture_exceptions_errors_to_ignore
- capture_console_log_opt_inboolean | null
- capture_performance_opt_inboolean | null
- session_recording_opt_inboolean
- session_recording_sample_ratestring | null
- session_recording_minimum_duration_millisecondsinteger | null
- session_recording_linked_flag
- session_recording_network_payload_capture_config
- session_recording_masking_config
- session_recording_url_trigger_configarray | null
- session_recording_url_blocklist_configarray | null
- session_recording_event_trigger_configarray | null
- session_recording_trigger_match_type_configstring | null
- session_recording_trigger_groups
- session_recording_retention_period
- session_replay_config
- survey_config
- access_controlboolean
- week_start_day
- primary_dashboardinteger | null
- home_tab_dashboardinteger | null
- live_events_columnsarray | null
- recording_domainsarray | null
- inject_web_appsboolean | null
- extra_settings
- modifiers
- has_completed_onboarding_for
- surveys_opt_inboolean | null
- heatmaps_opt_inboolean | null
- flags_persistence_defaultboolean | null
- receive_org_level_activity_logsboolean | null
- business_model
- conversations_enabledboolean | null
- conversations_settingsobject | null
- logs_settings
- proactive_tasks_enabledboolean | null
- revenue_analytics_config
- marketing_analytics_config
- customer_analytics_config
- workflows_config
- feature_flag_policy_config
- base_currency
- capture_dead_clicksboolean | null
- cookieless_server_hash_mode
- human_friendly_comparison_periodsboolean | null
- feature_flag_confirmation_enabledboolean | null
- feature_flag_confirmation_messagestring | null
- default_evaluation_contexts_enabledboolean | null
- require_evaluation_contextsboolean | null
- default_data_themeinteger | null
- onboarding_tasks
- web_analytics_pre_aggregated_tables_enabledboolean | null
Response
Example request
PATCH /api /organizations /:organization_id /projects /:idExample response
Status 200
Delete organizations projects
Projects for the current organization.
Required API key scopes
project:writePath parameters
- idinteger
Example request
DELETE /api /organizations /:organization_id /projects /:idExample response
Status 204 No response body
Retrieve organizations projects access control default objects
Object rules that apply to everyone in the project without a rule of their own on that object.
Required API key scopes
access_control:readPath parameters
- idinteger
Response
Example request
GET /api /organizations /:organization_id /projects /:id /access_control_default_objectsExample response
Status 200
Retrieve organizations projects access control default properties
Property rules that apply to everyone in the project without a rule of their own on that property.
Required API key scopes
access_control:readPath parameters
- idinteger
Response
Example request
GET /api /organizations /:organization_id /projects /:id /access_control_default_propertiesExample response
Status 200
Retrieve organizations projects access control defaults
The project's default access. Returns the level that applies to the project and to each resource type when a member or a role has no rule of their own. Also lists the resource types that accept rules on single objects, with the levels such a rule can set.
Required API key scopes
access_control:readPath parameters
- idinteger
Response
Example request
GET /api /organizations /:organization_id /projects /:id /access_control_defaultsExample response
Status 200
Retrieve organizations projects access control management
Whether Terraform manages this project's access rules.
Required API key scopes
access_control:readPath parameters
- idinteger
Response
Example request
GET /api /organizations /:organization_id /projects /:id /access_control_managementExample response
Status 200
Retrieve organizations projects access control member objects
Object rules configured for a member: the single objects, for example a dashboard or a notebook, the member is granted or denied, regardless of the resource-level rules.
Required API key scopes
access_control:readPath parameters
- idinteger
Query parameters
- member_idstring
Response
Example request
GET /api /organizations /:organization_id /projects /:id /access_control_member_objectsExample response
Status 200
Retrieve organizations projects access control member properties
Property rules configured for a member: the person and event properties the member can read, read and write, or not see.
Required API key scopes
access_control:readPath parameters
- idinteger
Query parameters
- member_idstring
Response
Example request
GET /api /organizations /:organization_id /projects /:id /access_control_member_properties










